> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Messages

> Get messages for a conversation with cursor pagination.



## OpenAPI

````yaml get /communication/conversations/{conversation_id}/messages
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /communication/conversations/{conversation_id}/messages:
    get:
      tags:
        - Social Inbox
      summary: Get Messages
      description: Get messages for a conversation with cursor pagination.
      operationId: get_messages_communication_conversations__conversation_id__messages_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            title: Conversation Id
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MessageListResponse:
      properties:
        messages:
          items:
            $ref: '#/components/schemas/CommunicationMessageSummary'
          type: array
          title: Messages
        nextCursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Nextcursor
      type: object
      required:
        - messages
      title: MessageListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CommunicationMessageSummary:
      properties:
        id:
          type: string
          title: Id
        conversationId:
          type: string
          title: Conversationid
        direction:
          type: string
          title: Direction
        contentType:
          type: string
          title: Contenttype
        body:
          anyOf:
            - type: string
            - type: 'null'
          title: Body
        mediaUrls:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Mediaurls
        senderProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Senderproviderid
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
        replyToMessageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Replytomessageid
        messageMetadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Messagemetadata
        reactions:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Reactions
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - conversationId
        - direction
        - contentType
        - createdDate
      title: CommunicationMessageSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````